Bug 254642 - textproc/json-yaml: upgrade to 1.2.1
Summary: textproc/json-yaml: upgrade to 1.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/sjmulder/json-yaml...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-29 16:36 UTC by Schaich, Alonso
Modified: 2021-04-07 05:39 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ik)


Attachments
upgrade to 1.2.1 (1.26 KB, patch)
2021-03-29 16:36 UTC, Schaich, Alonso
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Schaich, Alonso 2021-03-29 16:36:15 UTC
Created attachment 223684 [details]
upgrade to 1.2.1

json-yaml has released version 1.2 and 1.2.1 which are not in the port tree yet. Most notoriously, the yaml-json binary was introduced, which generates json out of yaml.

The attached patch upgrades the ports collection's json-yaml to release 1.2.1
Comment 1 Fernando Apesteguía freebsd_committer 2021-03-30 14:30:27 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 2 Fernando Apesteguía freebsd_committer 2021-03-30 14:41:12 UTC
Error: Orphaned: man/man1/yaml-json.1.gz

Super nices, they changed json-yaml.1.gz for yaml-json.1.gz.

Not need to add a new patch. Just try to run this patches in poudriere first

:-)
Comment 3 Sijmen J. Mulder 2021-03-30 14:42:04 UTC
Changelog: https://github.com/sjmulder/json-yaml/blob/1.2.1/CHANGES.md

(I can't change the URL field)
Comment 4 Fernando Apesteguía freebsd_committer 2021-03-30 14:45:31 UTC
(In reply to Fernando Apesteguía from comment #2)
s/changed/added
Comment 5 Sijmen J. Mulder 2021-04-04 22:10:57 UTC
I should really be removed as maintainer for this as I haven't been keeping up with FreeBSD porting at all and can't comment on the quality of this patch.
Comment 6 commit-hook freebsd_committer 2021-04-07 05:39:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5cb436ecd7cb220344c28f69d10a5521840037af

commit 5cb436ecd7cb220344c28f69d10a5521840037af
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-06 13:59:54 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-07 05:35:09 +0000

    textproc/json-yaml: upgrade to 1.2.1

    ChangeLog: https://github.com/sjmulder/json-yaml/blob/1.2.1/CHANGES.md

    PR:     254642
    Submitted by:   alonsoschaich@fastmail.fm (maintainer)
    Reported by:
    Reviewed by:
    Approved by:
    Obtained from:
    MFC after:
    MFH:
    Relnotes:
    Security:
    Sponsored by:
    Differential Revision:

 textproc/json-yaml/Makefile | 10 ++++++----
 textproc/json-yaml/distinfo |  6 +++---
 2 files changed, 9 insertions(+), 7 deletions(-)
Comment 7 Fernando Apesteguía freebsd_committer 2021-04-07 05:39:51 UTC
Committed,

Thanks!